import requests
from api_auth import APICredentials, APIParams
 
class VMPStatus:
    def __init__(self):
        self.host = "https://services.uplynk.com"
 
    def run(self):
        """
        Retrieve all DRM policies.
        """
        self._get_vmp_status_configuration()
 
    def _get_vmp_status_configuration(self):
        url = "{}{}".format(self.host, "/api/v3/drm/vmp-reject-statuses")
 
        response = requests.get(
            url, params=APIParams(APICredentials()).get_params({})
        )
 
        print(response.json())
 
VMPStatus().run()